org.firebirdsql.jdbc.metadata

## Class GetIndexInfo

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetIndexInfo

    public final class GetIndexInfo
    extends java.lang.Object

Author:
  Mark Rotteveel

### Field Summary

Fields
`protected DbMetadataMediator` `mediator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetIndexInfo` `create(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getIndexInfo(java.lang.String table, boolean unique, boolean approximate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mediator

    protected final DbMetadataMediator mediator

### Method Detail

#### getIndexInfo

    public java.sql.ResultSet getIndexInfo(java.lang.String table,
                                           boolean unique,
                                           boolean approximate)
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetIndexInfo create(DbMetadataMediator mediator)